local L = AceLibrary("AceLocale-2.2"):new("Loudmouth")

L:RegisterTranslations("enUS", function() return {
  ["Slash-Commands"] = { "/loudmouth", "/lm" },
  -- Bindings
  ["Make an Excuse to Guild"] = true, -- "Make an Excuse to Guild"
  ["Make an Excuse to Officer"] = true, -- "Make an Excuse to Officer"
  ["Make an Excuse to Party"] = true, -- "Make an Excuse to Party"
  ["Make an Excuse to Raid"] = true, -- "Make an Excuse to Raid"
  ["Make an Excuse to Say"] = true, -- "Make an Excuse to Say"
  ["Make an Excuse to Yell"] = true, -- "Make an Excuse to Yell"
  ["Make an Excuse to Channel 1"] = true, -- "Make an Excuse to Channel 1"
  ["Make an Excuse to Channel 2"] = true, -- "Make an Excuse to Channel 2"
  ["Make an Excuse to Channel 3"] = true, -- "Make an Excuse to Channel 3"
  ["Make an Excuse to Channel 4"] = true, -- "Make an Excuse to Channel 4"
  ["Make an Excuse to Channel 5"] = true, -- "Make an Excuse to Channel 5"
  ["Make an Excuse to Channel 6"] = true, -- "Make an Excuse to Channel 6"
  ["Make an Excuse to Channel 7"] = true, -- "Make an Excuse to Channel 7"
  ["Make an Excuse to Channel 8"] = true, -- "Make an Excuse to Channel 8"
  ["Make an Excuse to Channel 9"] = true, -- "Make an Excuse to Channel 9"
  ["Make an Excuse to Channel 10"] = true, -- "Make an Excuse to Channel 10"
  -- GUI Elements
  -- Console Strings
  ["Welcome to a new zone."] = true, -- default message
  ["Loudmouth"] = true, -- title
  ["AFK Messages"] = true, -- AFK Messages
  ["Whether AFKs messages will be sent"] = true, -- desc for AFKs
  ["Excuse Messages"] = true, -- Excuse Messages
  ["Whether Excuse messages will be sent"] = true, -- desc for Excuses
  ["Crit Hits"] = true, -- Crit Hits
  ["Will you brag about critical hits?"] = true, -- desc for crits
  ["Crit Rate"] = true, -- menu option for crit rate
  ["How often you brag about critical hits"] = true, -- desc for crit rate
  ["Fear Effects"] = true, -- Fear Effects
  ["Will you comment when mobs run away?"] = true, -- desc for fears
  ["Fear Rate"] = true, -- menu option for fear rate
  ["How often you taunt about Feared mobs running away"] = true, -- desc for fear rate
  ["Missed Attacks"] = true, -- Missed Attacks
  ["Will you comment if you miss?"] = true, -- desc for misses
  ["Missed Attack Rate"] = true, -- menu option for miss rate
  ["How often you taunt about Missed Attacks"] = true, -- desc for miss rate
  ["Babble Channel"] = true, -- Babble Channel
  ["Babble randomly in selected channel"] = true, -- desc for Babble Channel
  ["Officer"] = true, -- option for Babble to Officer
  ["Show AFK Message"] = true, -- menu option for Show AFK
  ["Show an AFK Message in Guild chat, and raid or party"] = true, -- desc for show AFK
  ["Show Excuse"] = true, -- menu option for Show Excuse
  ["Show an excuse to Guild and default babble channel"] = true, -- desc for Show Excuse
  ["Show GUI"] = true, -- menu option for Show GUI
  ["Display GUI Window"] = true, -- desc for Show GUI
  ["Hide GUI"] = true, -- menu option for Hide GUI
  ["Close GUI Window"] = true, -- desc for Hide GUI
  ["Show Status"] = true, -- menu option for Show Status
  ["Show Command Line Status"] = true, -- desc for Show Status
  ["Quote Set"] = true, -- Quote Set
  ["Event Type"] = true, -- Event Type (tooltip)
  ["Response Rates"] = true, -- Response Rates (tooltip)
  ["Configuration"] = true, -- Configuration
  ["Number of Quotes"] = true, -- Number of Quotes
  ["Quote Set in Use"] = true, -- Quote Set in Use
  ["Wisecrack Cooldown"] = true, -- Wisecrack Cooldown
  ["Minimum time between Wisecracks."] = true, -- Minimum time between Wisecracks.
  ["Left click to bring up the configuration window. Right click to edit options."] = true, -- Hint: "Left click to bring up the configuration window. Right click to edit options."
  ["status"] = true, -- status
  ["Quote List"] = true, -- Quote List
  ["quotes"] = true, -- quotes
  ["Not editing that quote, it's blank."] = true, -- Not editing that quote, it's blank
  ["Quote was blank. Skipping."] = true, -- Quote was blank. Skipping.
  ["version"] = true, -- version
  ["You are now AFK"] = true, -- You are now AFK
  ["run"] = true, -- run
  ["fear"] = true, -- fear
  ["You"] = true, -- You
  ["crit"] = true, -- crit
  ["Game Time"] = true, -- Game Time
  ["System Uptime"] = true, -- System Uptime
  ["seconds"] = true, -- seconds
  ["Send to Channel"] = true, -- Send to Channel
  ["Upgrading from below 0.804"] = true, -- Upgrading from below 0.804
  ["Upgrading from below 0.8"] = true, -- Upgrading from below 0.8
  ["Upgrading from below 0.6"] = true, -- Upgrading from below 0.6
  ["Upgrading from 0.3"] = true, -- Upgrading from 0.3
  ["Upgrading data structures from version "] = true, -- Upgrading data structures from version
  [" to "] = true, -- to
  ["Disabled"] = true, -- Disabled
  [" Rate     Slider    Value  "] = true, -- " Rate     Slider    Value  "
  [""] = true, -- null string for stupid Ace Errors on a null string.
  ["Show Help"] = true, -- "Show Help"
  ["Show the Help Pane"] = true, -- "Show the Help Pane"
  ["Show Options"] = true, -- "Show Options"
  ["Show the Options Pane"] = true, -- "Show the Options Pane"
  ["Show Quotes"] = true, -- "Show Quotes"
  ["Show the Quotes Pane"] = true, -- "Show the Quotes Pane"
  ---
  --- Help Topics below
  ---
  ["HTT-About"] = "About Loudmouth",
  ["HTD-About"] = [[Written by: FatherJim of Blackhand

Beta Testers: Apep and Krink of "The Refugee Camp" on Blackhand. Thanks a lot, guys!

Loudmouth was written to replace a couple of outdated and limited AddOns: Smacktalk, and Random Excuse Generator. Neither had any GUI to make configuration easy, nor did they allow you to edit quotes in game. This AddOn was written to combine the best features of those into a single AddOn, allow quotes to be modified in game, and provide much more flexible quote selection. Other similar mods appear to be very complex, or require lots of manual effort. Loudmouth is designed to be clean, simple, and as easy to use as possible.

Current development code can be found at http://www.wowace.com/files.
]],
  ["HTT-RefTgt"] = "Referencing your Target",
  ["HTD-RefTgt"] = [[
In order to use your current target's name in a quote, simply place %t where you wish the target's name to appear. It's that easy.
]],
  ["HTT-Emote"] = "Emote Reactions",
  ["HTD-Emote"] = [[
In order to use emotes, as you edit or add any quotes, simply check the emote checkbox at the bottom of the editing pane.

Emotes will appear exactly as if you had typed "/me <contents of quote>".

An example of this would be Crits or Misses. Emoting that you've missed and fall over with your weapon landing on the ground can be far more entertaining than just saying "Oops, I missed."
]],
  ["HTT-SpecQSet"] = "Special Quote Sets",
  ["HTD-SpecQSet"] = [[
Special quote sets would be the "Char" and "Class" quote sets. All other quote sets are 'regular' quote sets. Any 'regular' quote set can be chosen as a selected quote set. "Char" set quotes will only be available to that specific character. "Class" set quotes will be available to any character in that class.

When an event is triggered, a list is generated from the selected set's quotes for that event, and any quotes from the Char or Class sets for that event are added as well.  This generated list is then used to select the actual quote sent.

One final special quote set is "All" which combines quotes from all available quote sets. Due to the way data is stored, Adding new quotes is disabled while viewing "All" sets. Which set would we add the quote to? Choose a set, then add it.
]],
  ["HTT-Rates"] = "Rates for Crits, Fears, and Misses",
  ["HTD-Rates"] = [[
Rates for Crits, Fears, and Misses are expressed as a percentage. This percentage is then compared to the equivalent of a /random 100. If this random number is less than the associated rate, then a quote response will be generated.

Please realize that the rate only applies *if* the associated event has been triggered. If you only get a critical hit 10% of the time, and the crit rate is set to 10%, then you will likely only get a critical hit response approximately 1% of the time. Of course, random numbers will fluctuate, so short term averages may be higher or lower than this result.
]],
  ["HTT-Abuse"] = "Abusing Loudmouth",
  ["HTD-Abuse"] = [[
As with any AddOn that generates output, it is very easy to annoy your fellow players in a game like WOW. As the AddOn author, I would request that you keep the rates reasonable. Too many comments will start to annoy fellow players. If I get too many complaints about excessive spamming of messages by Loudmouth users, I will have no choice but to start limiting the output. Currently, the 'Wisecrack Cooldown' should help with that, but AFK and Excuse messages don't apply to this. Please don't overuse this Addon, in order to ensure Blizzard doesn't decide this is an irritation. That being said, I hope you get enjoyment out of this AddOn, and that it enhances a more 'Roleplaying' feel.

Also, please be aware that enabling Debugging disables the Wisecrack cooldown, and should be avoided for normal play.
]],
  ["HTT-NoQAdd"] = "Problem: Can't Add Quote!",
  ["HTD-NoQAdd"] = [[
Problem:
When I type in the editing box, it keeps clearing the field, and not letting me type! What is wrong with this AddOn?

Solution:
You have "All" selected as your current quote set. We have purposefully disabled adding new quotes while viewing the "All" quotes set. This set combines all quotes from all sets, so we're not sure where to add a new quote. Choose a set where the quote should be added, then add your quote.
]],
  ["HTT-QMissing"] = "Problem: Char Quotes Missing!",
  ["HTD-QMissing"] = [[
Problem:
I don't see the quotes from my other characters!

Solution:
That's absolutely right! The Character Specific quotes are stored in a Character Specific SavedVariables file. To verify they exist, you should log back into the character where you created them. I'm rather certain that's where they are, as long as the original SavedVariables file still exists. You should be able to find it in your <WOW>/WTF/Account/<Account>/<Realm>/<Character>/SavedVariables/Loudmouth.lua file.
]],
  ["HTT-Blank"] = "Blank Title",
  ["HTD-Blank"] = [[
Description goes here
]],
} end)
